VCMD0028040100000000COMPONENT          
Node "rSimResource"
{
Name "PatternFeeder"
Id 1
NodeClass 
{
Id 1
Feature "rTransformFeature"
{
Name "TFrames"

Visible 1
Transform 
{
  Expression "Tz(ConveyorHeight)"
}

Feature "rFrameFeature"
{
Name "Out"

Visible 1
Value 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
UseAsGuide 1
}
Feature "rTransformFeature"
{
Name "TCreate"

Visible 1
Transform 
{
  Expression "Tx(-0.5*ConveyorLength)"
}

Feature "rFrameFeature"
{
Name "Create"

Visible 1
Value 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 
UseAsGuide 1
}
}
}
Feature "rTransformFeature"
{
Name "TGeo"

Visible 1
Transform 
{
  Expression "Tx(-ConveyorLength).Ty(-0.5*ConveyorWidth)"
}

Feature "rTransformFeature"
{
Name "SGeo"

Visible 1
Transform 
{
  Expression "Sx(ConveyorLength).Sy(ConveyorWidth).Sz(ConveyorHeight-1)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Material  "clear_glass"
{
  Ambient
  {
    Red 0.25
    Green 0.25
    Blue 0.25
  }
  Diffuse
  {
    Red 1
    Green 1
    Blue 1
    Alpha 0.200000002980232
  }
  Specular
  {
    Color
    {
      Red 1
      Green 1
      Blue 1
    }
    Shininess 0.247500002384186
  }
  Transparency
  {
    Constant
    Value 0.200000002980232
  }
}

Length 
{
  Expression "1 {mm}"
}

Width 
{
  Expression "1 {mm}"
}

Height 
{
  Expression "1 {mm}"
}

}
}
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "black"
{
  Ambient
  {
    Red 0.025000000372529
    Green 0.025000000372529
    Blue 0.025000000372529
  }
  Diffuse
  {
    Red 0.100000001490116
    Green 0.100000001490116
    Blue 0.100000001490116
  }
  Specular
  {
    Color
    {
      Red 0.0700000002980232
      Green 0.0700000002980232
      Blue 0.0700000002980232
    }
    Shininess 0.400000005960464
  }
}

}
VCID "b02a5bc3-87c1-478a-b424-e99d87e4f4ad"
}
Functionality "rOneWayPath"
{
Id 1
Name "OutPath"
Flags 8194
Statistics "Statistics"
ContainerFlags 1
Capacity 1
CapacityBlocks 
{
}
Speed 200
Connection "Input"
{
Id 0
Type 1
Name  "Input"

}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
Path
{
Frames
{
Frame { Name "Create" }
Frame { Name "Out" }
}
}
Sensors
{
}
RetainOffset 1
SegmentSize 0
Accumulate 1
SpaceUtilization 1
Direction 1
PathAxis 1
}
Functionality "rSimInterface"
{
Id 2
Name "OutInterface"
Flags 6
Section 
{
Name "NewSection"
Frame "Out"
Fields
{
rSimFlowField
{
Name "Flow"
Func "OutPath"
Port 1
}
}
}
}
Functionality "rPythonScript"
{
Id 3
Name "PythonScript"
Script "from vcScript import *\n
\ncomp = getComponent()
\napp = getApplication()\n\ndef OnRun():\n  container = comp.findBehaviour('OutPath')
\n  tempNode = comp.findNode('SetTemplate')
\n  if not tempNode.Children:
\n    warning('Set a component as a child node to the rectangle node on top of the %s' % comp.Name)
\n    suspendRun()
\n  temp_component = tempNode.Children[0]
\n  delay( max(0,comp.WarmupDelay) )
\n  
\n  for i in range(comp.Count):
\n    part = app.cloneComponent(temp_component) # the mother (/root / lowest) of the whole hierarchy tree
\n    part.createProperty(VC_STRING, 'ProdID')
\n    part.ProdID = comp.ProdID
\n    part.transfer(container.Connectors[0]) #throw the cloned component on the path-way
\n    delay(0)
\n    for a in range(hierLevels.Value,0,-1): # loop it inversed so that the highest in the hierarchy is cloned first
\n      try:
\n        kid = getKid(part, a)
\n      except:
\n        # the configuration of the hierarchy structure doesn't match with the param settings. Warn the user :(
\n        try:
\n          parent = getKid(part, a-1)
\n          parentname = '\"'+parent.Name+'\"'
\n        except:
\n          parentname = 'a component'
\n        warning( '\\n  Too many hierarchy levels defined for the pattern. Attach a child component to %s or decrease HierarchyLevels-parameter value.' % parentname )
\n        suspendRun()
\n      prodid = comp.getProperty('Pattern::%i ProdID' % a).Value
\n      cx = comp.getProperty('Pattern::%i Count X' % a).Value
\n      cy = comp.getProperty('Pattern::%i Count Y' % a).Value
\n      cz = comp.getProperty('Pattern::%i Count Z' % a).Value
\n      sx = comp.getProperty('Pattern::%i Step X' % a).Value
\n      sy = comp.getProperty('Pattern::%i Step Y' % a).Value
\n      sz = comp.getProperty('Pattern::%i Step Z' % a).Value
\n      kid.createProperty(VC_STRING, 'ProdID')
\n      kid.ProdID = prodid
\n      for z in range(cz):
\n        for y in range(cy):
\n          for x in range(cx):
\n            if z+y+x == 0:
\n              continue # first one is not cloned
\n            mtx = kid.PositionMatrix
\n            mtx.translateRel(x*sx, y*sy, z*sz)
\n            clone_kid = app.cloneComponent(kid)
\n            clone_kid.createProperty(VC_STRING, 'ProdID')
\n            clone_kid.ProdID = prodid
\n            kid.Parent.attach(clone_kid)
\n            clone_kid.PositionMatrix = mtx
\n    delay(max(comp.CreationInterval, 0.01))\n
\ndef getKid(part, a):
\n  '''
\n  return a hierarchical child at hierarchy depth level defined as argument \"a\"
\n  '''
\n  runner=0
\n  kid = part
\n  while runner < a:
\n    runner+=1
\n    kid = kid.ChildComponents[0]
\n  return kid
\n    \n\ndef warning(txt):
\n  print 'Warning from %s: %s' % (comp.Name, txt)
\n
\ndef createCloneProps(arg):
\n  '''
\n  create/show/hide parameters for multiple hierarchy levels
\n  '''
\n  hierLevels.Group = 50
\n  for i in range(hierLevels.Value):
\n    # create a property (nothing is created if the property already exists)
\n    # force show and set the group to sort the props in the gui
\n    a=i+1
\n    comp.createProperty(VC_BUTTON, 'Pattern::%i Hierarchy level' % a)
\n    p = comp.getProperty('Pattern::%i Hierarchy level' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+10
\n    comp.createProperty(VC_STRING, 'Pattern::%i ProdID' % a)
\n    p = comp.getProperty('Pattern::%i ProdID' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+15
\n    comp.createProperty(VC_INTEGER, 'Pattern::%i Count X' % a)
\n    p = comp.getProperty('Pattern::%i Count X' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+20
\n    comp.createProperty(VC_INTEGER, 'Pattern::%i Count Y' % a)
\n    p = comp.getProperty('Pattern::%i Count Y' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+30
\n    comp.createProperty(VC_INTEGER, 'Pattern::%i Count Z' % a)
\n    p = comp.getProperty('Pattern::%i Count Z' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+40
\n    comp.createProperty(VC_REAL, 'Pattern::%i Step X' % a)
\n    p = comp.getProperty('Pattern::%i Step X' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+50
\n    comp.createProperty(VC_REAL, 'Pattern::%i Step Y' % a)
\n    p = comp.getProperty('Pattern::%i Step Y' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+60
\n    comp.createProperty(VC_REAL, 'Pattern::%i Step Z' % a)
\n    p = comp.getProperty('Pattern::%i Step Z' % a)
\n    p.IsVisible = True
\n    p.Group = a*100+70
\n  for p in comp.Properties:
\n    # hide the rest
\n    for i in range(hierLevels.Value,11):
\n      a = i+1
\n      p = comp.getProperty('Pattern::%i Hierarchy level' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i ProdID' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i Count X' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i Count Y' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i Count Z' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i Step X' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i Step Y' % a)
\n      if p:p.IsVisible = False
\n      p = comp.getProperty('Pattern::%i Step Z' % a)
\n      if p:p.IsVisible = False
\n      
\n
\nhierLevels = comp.getProperty('Pattern::HierarchyLevels')
\nhierLevels.OnChanged = createCloneProps"
CompatibilityMode 1
}
Functionality "rSimStatistics"
{
Id 4
Name "Statistics"
}
VCID b02a5bc3-87c1-478a-b424-e99d87e4f4ad
OriginalUri vcid:b02a5bc3-87c1-478a-b424-e99d87e4f4ad
Revision 24
Location 1 0 0 0 0 1 0 0 0 0 1 0 347.26214302 -2535.9442258 0 1 
ActiveSimulationLevel detailed
BOM  0

BOMname  "Pattern feeder"

BOMdescription  "Feeds parts in pattern"

Category  "Feeders"

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::2 Hierarchy level"
    Value 0
    Group 210
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::1 Step Z"
    Value 185
    Group 170
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::1 Step Y"
    Value 360
    Group 160
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::1 Step X"
    Value 600
    Group 150
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::1 Count Z"
    Value 1
    Group 140
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::1 Count Y"
    Value 2
    Group 130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::1 Count X"
    Value 2
    Group 120
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::1 Hierarchy level"
    Value 0
    Group 110
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTLimitVariable<rInt>"
  {
    Name "Pattern::HierarchyLevels"
    Value 2
    Group 50
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
    Min 1
    Max 10
  }
  Variable "rTVariable<rDouble>"
  {
    Name "ConveyorHeight"
    Value 700
    Group 65538
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "ConveyorWidth"
    Value 800
    Group 65537
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "ConveyorLength"
    Value 1200
    Group 65536
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::2 Count X"
    Value 4
    Group 220
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::2 Count Y"
    Value 3
    Group 230
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::2 Count Z"
    Value 1
    Group 240
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::2 Step X"
    Value 90
    Group 250
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::2 Step Y"
    Value 90
    Group 260
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::2 Step Z"
    Value 0
    Group 270
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::3 Hierarchy level"
    Value 0
    Group 310
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::3 Count X"
    Value 1
    Group 320
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::3 Count Y"
    Value 1
    Group 330
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::3 Count Z"
    Value 1
    Group 340
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::3 Step X"
    Value 0
    Group 350
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::3 Step Y"
    Value 0
    Group 360
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::3 Step Z"
    Value 0
    Group 370
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::4 Hierarchy level"
    Value 0
    Group 410
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::4 Count X"
    Value 1
    Group 420
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::4 Count Y"
    Value 1
    Group 430
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::4 Count Z"
    Value 1
    Group 440
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::4 Step X"
    Value 0
    Group 450
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::4 Step Y"
    Value 0
    Group 460
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::4 Step Z"
    Value 0
    Group 470
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::5 Hierarchy level"
    Value 0
    Group 510
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::5 Count X"
    Value 1
    Group 520
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::5 Count Y"
    Value 1
    Group 530
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::5 Count Z"
    Value 1
    Group 540
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::5 Step X"
    Value 0
    Group 550
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::5 Step Y"
    Value 0
    Group 560
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::5 Step Z"
    Value 0
    Group 570
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::6 Hierarchy level"
    Value 0
    Group 610
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::6 Count X"
    Value 1
    Group 620
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::6 Count Y"
    Value 1
    Group 630
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::6 Count Z"
    Value 1
    Group 640
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::6 Step X"
    Value 0
    Group 650
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::6 Step Y"
    Value 0
    Group 660
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::6 Step Z"
    Value 0
    Group 670
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::7 Hierarchy level"
    Value 0
    Group 710
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::7 Count X"
    Value 1
    Group 720
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::7 Count Y"
    Value 1
    Group 730
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::7 Count Z"
    Value 1
    Group 740
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::7 Step X"
    Value 0
    Group 750
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::7 Step Y"
    Value 0
    Group 760
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::7 Step Z"
    Value 0
    Group 770
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::8 Hierarchy level"
    Value 0
    Group 810
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::8 Count X"
    Value 1
    Group 820
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::8 Count Y"
    Value 1
    Group 830
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::8 Count Z"
    Value 1
    Group 840
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::8 Step X"
    Value 0
    Group 850
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::8 Step Y"
    Value 0
    Group 860
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::8 Step Z"
    Value 0
    Group 870
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::9 Hierarchy level"
    Value 0
    Group 910
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::9 Count X"
    Value 1
    Group 920
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::9 Count Y"
    Value 1
    Group 930
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::9 Count Z"
    Value 1
    Group 940
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::9 Step X"
    Value 0
    Group 950
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::9 Step Y"
    Value 0
    Group 960
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::9 Step Z"
    Value 0
    Group 970
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rButton>"
  {
    Name "Pattern::10 Hierarchy level"
    Value 0
    Group 1010
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::10 Count X"
    Value 1
    Group 1020
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::10 Count Y"
    Value 1
    Group 1030
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Pattern::10 Count Z"
    Value 1
    Group 1040
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::10 Step X"
    Value 0
    Group 1050
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::10 Step Y"
    Value 0
    Group 1060
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "Pattern::10 Step Z"
    Value 0
    Group 1070
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "ProdID"
    Value "111"
    Group 131072
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::1 ProdID"
    Value "222"
    Group 115
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::2 ProdID"
    Value "333"
    Group 215
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::3 ProdID"
    Value ""
    Group 315
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::4 ProdID"
    Value ""
    Group 415
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::5 ProdID"
    Value ""
    Group 515
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::6 ProdID"
    Value ""
    Group 615
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::7 ProdID"
    Value ""
    Group 715
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::8 ProdID"
    Value ""
    Group 815
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::9 ProdID"
    Value ""
    Group 915
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rTVariable<rString>"
  {
    Name "Pattern::10 ProdID"
    Value ""
    Group 1015
    Settings
    {
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
  }
  Variable "rDoubleDistributionVariable"
  {
    Name "CreationInterval"
    Value 10
    Group 131073
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
    Quantity "Time"
    Magnitude 1
    RandomStream 0
  }
  Variable "rTVariable<rDouble>"
  {
    Name "WarmupDelay"
    Value 0
    Group 131074
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
    }
    Quantity "Time"
    Magnitude 1
  }
  Variable "rTVariable<rInt>"
  {
    Name "Count"
    Value 2
    Group 131084
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      TRANSLATE_USING_GETTEXT
    }
  }
}
Node "rSimLink"
{
Name "SetTemplate"
Id 2
NodeClass 
{
Id 2
Feature "rTransformFeature"
{
Name "node_geo"

Visible 1
Transform 
{
  Expression "Tz(ConveyorHeight-1).Tx(-0.5*ConveyorLength)"
}

Feature "rTransformFeature"
{
Name "CenteredBlock"

Visible 1
Transform 
{
  Expression "Tx(-.5*(ConveyorLength*0.5)).Ty(-.5*(ConveyorWidth*0.5)).Tz(-.\
0*(ConveyorHeight*0.5))"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_2"

Visible 1
Length 
{
  Expression "(ConveyorLength*0.5)"
}

Width 
{
  Expression "(ConveyorWidth*0.5)"
}

Height 
{
  Expression "1"
}

}
}
}
}
Dof "Fixed"
Offset 
{
  Expression ""
}
Node "rSimResource"
{
Name "CollarPallet #2"
Id 3
NodeClass 
{
Id 3
Feature "rLinearCloneFeature"
{
Name "LinearClone_3"

Visible 1
CountExpression 
{
  Expression "Collars"
}

StepExpression 
{
  Expression "CollarHeight"
}

DirectionExpression 
{
  Expression "Vector(0,0,1)"
}

Feature "rTransformFeature"
{
Name "Collar"

Visible 1
Transform 
{
  Expression ""
}

Feature "rAngularCloneFeature"
{
Name "AngularClone"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "180"
}

OffsetExpression 
{
  Expression "Vector(0,0,0)"
}

Feature "rTransformFeature"
{
Name "collar_y"

Visible 1
Transform 
{
  Expression "Ty(-.5*PalletWidth+15).Tx(-.5*PalletLength).Tz(PalletHeight)"
}

Feature "rLinearCloneFeature"
{
Name "LinearClone"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "PalletWidth-30-50+4"
}

DirectionExpression 
{
  Expression "Vector(0,1,0)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_7"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 -4 -2 -30 1 
Visible 1
Material  "aluminium"
{
  Ambient
  {
    Red 0.128000006079674
    Green 0.128000006079674
    Blue 0.128000006079674
  }
  Diffuse
  {
    Red 0.560000002384186
    Green 0.560000002384186
    Blue 0.560000002384186
  }
  Specular
  {
    Color
    {
      Red 0.643999993801117
      Green 0.643999993801117
      Blue 0.643999993801117
    }
    Shininess 0.400000005960464
  }
}

Length 
{
  Expression "4"
}

Width 
{
  Expression "50"
}

Height 
{
  Expression "40"
}

}
Feature "rPrimitiveBoxFeature"
{
Name "Block_6"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 -2 -2 0 1 
Visible 1
Material  "aluminium"

Length 
{
  Expression "15"
}

Width 
{
  Expression "50"
}

Height 
{
  Expression "CollarHeight-5"
}

}
}
Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "15"
}

Width 
{
  Expression "PalletWidth-30"
}

Height 
{
  Expression "CollarHeight-1"
}

}
}
Feature "rTransformFeature"
{
Name "collar_x"

Visible 1
Transform 
{
  Expression "Ty(-.5*PalletWidth).Tx(-.5*PalletLength+15).Tz(PalletHeight)"
}

Feature "rLinearCloneFeature"
{
Name "LinearClone_2"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "PalletLength-30-50+4"
}

DirectionExpression 
{
  Expression "Vector(1,0,0)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_8"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 -4 -2 -30 1 
Visible 1
Material  "aluminium"

Length 
{
  Expression "50"
}

Width 
{
  Expression "4"
}

Height 
{
  Expression "40"
}

}
Feature "rPrimitiveBoxFeature"
{
Name "Block_9"

Matrix 1 0 0 0 0 1 0 0 0 0 1 0 -2 -2 0 1 
Visible 1
Material  "aluminium"

Length 
{
  Expression "50"
}

Width 
{
  Expression "15"
}

Height 
{
  Expression "CollarHeight-5"
}

}
}
Feature "rPrimitiveBoxFeature"
{
Name "Block_10"

Visible 1
Length 
{
  Expression "PalletLength-30"
}

Width 
{
  Expression "15"
}

Height 
{
  Expression "CollarHeight-1"
}

}
}
}
Feature "rLinearCloneFeature"
{
Name "LinearClone_x"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "PalletLength-24"
}

DirectionExpression 
{
  Expression "Vector(1,0,0)"
}

Feature "rLinearCloneFeature"
{
Name "LinearClone_y"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "PalletWidth-24"
}

DirectionExpression 
{
  Expression "Vector(0,1,0)"
}

Feature "rLinearCloneFeature"
{
Name "LinearClone_z"

Visible 1
CountExpression 
{
  Expression "5"
}

StepExpression 
{
  Expression "(CollarHeight-15)/5"
}

DirectionExpression 
{
  Expression "Vector(0,0,1)"
}

Feature "rTransformFeature"
{
Name "hinge"

Visible 1
Transform 
{
  Expression "Tx(-.5*PalletLength+12).Ty(-.5*PalletWidth+12).Tz(PalletHeight\
+15)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder"

Visible 1
Material  "aluminium"

Radius 
{
  Expression "4"
}

Height 
{
  Expression "20"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "9"
}

Caps 0
}
}
}
}
}
}
}
Feature "rTransformFeature"
{
Name "Transform_4"

Visible 1
Transform 
{
  Expression "Ty(PalletWidth*-0.5).Tx(PalletLength*-0.5)"
}

Feature "rTransformFeature"
{
Name "Transform"

Visible 1
Transform 
{
  Expression "Tz(PalletHeight*0.9)"
}

Feature "rLinearCloneFeature"
{
Name "YClone"

Visible 1
CountExpression 
{
  Expression "TopBoards"
}

StepExpression 
{
  Expression "(PalletWidth*(TopBoards*3-2)/(TopBoards*3))/(TopBoards-1)"
}

DirectionExpression 
{
  Expression "Vector(0,1,0)"
}

Feature "rTransformFeature"
{
Name "SBlock_2"

Visible 1
Transform 
{
  Expression "Sx(PalletLength).Sy(PalletWidth*2.0/(TopBoards*3.0)).Sz(Pallet\
Height*0.1)"
}

Feature "rGeoFeature"
{
Name "Block_3"

Visible 1

Uri "block_3"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
}
}
Feature "rLinearCloneFeature"
{
Name "YClone3"

Visible 1
CountExpression 
{
  Expression "3"
}

StepExpression 
{
  Expression "(PalletWidth*13.0/15.0)/2"
}

DirectionExpression 
{
  Expression "Vector(0,1,0)"
}

Feature "rTransformFeature"
{
Name "SBlock"

Visible 1
Transform 
{
  Expression "Sx(PalletLength).Sy(PalletWidth*2.0/15.0).Sz(PalletHeight*0.1)"
}

Feature "rGeoFeature"
{
Name "Block_2"

Visible 1

Uri "block_3"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
}
Feature "rLinearCloneFeature"
{
Name "XClone"

Visible 1
CountExpression 
{
  Expression "3"
}

StepExpression 
{
  Expression "(PalletLength-PalletWidth*2.0/15.0)/2.0"
}

DirectionExpression 
{
  Expression "Vector(1,0,0)"
}

Feature "rTransformFeature"
{
Name "Transform_3"

Visible 1
Transform 
{
  Expression "Tz(PalletHeight*0.8)"
}

Feature "rTransformFeature"
{
Name "SBlock_4"

Visible 1
Transform 
{
  Expression "Sx(PalletWidth*2.0/15.0).Sy(PalletWidth).Sz(PalletHeight*0.1)"
}

Feature "rGeoFeature"
{
Name "Block_5"

Visible 1

Uri "block_3"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
}
Feature "rLinearCloneFeature"
{
Name "YClone2"

Visible 1
CountExpression 
{
  Expression "3"
}

StepExpression 
{
  Expression "(PalletWidth*13.0/15.0)/2"
}

DirectionExpression 
{
  Expression "Vector(0,1,0)"
}

Feature "rTransformFeature"
{
Name "Transform_2"

Visible 1
Transform 
{
  Expression "Tz(PalletHeight*0.1)"
}

Feature "rTransformFeature"
{
Name "SBlock_3"

Visible 1
Transform 
{
  Expression "Sx(PalletWidth*2.0/15.0).Sy(PalletWidth*2.0/15.0).Sz(PalletHei\
ght*0.7)"
}

Feature "rGeoFeature"
{
Name "Block_4"

Visible 1

Uri "block_3"
OnDemandLoad 0
UseBackfaces 0
MaterialInheritance "Disabled"
}
}
}
}
}
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "dark_brown"
{
  Ambient
  {
    Red 0.144999995827675
    Green 0.0925000011920929
    Blue 0
  }
  Diffuse
  {
    Red 0.579999983310699
    Green 0.370000004768372
    Blue 0
  }
  Specular
  {
    Color
    {
      Red 0.40599998831749
      Green 0.25900000333786
      Blue 0
    }
    Shininess 0.400000005960464
  }
}

}
VCID "7fb53ffa-a752-43e9-97be-25bc5b5298b1"
}
Functionality "rSimContainer"
{
Id 1
Name "ComponentContainer"
Flags 2
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
Connection "Input"
{
Id 0
Type 1
Name  "Input"

}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
}
VCID 7fb53ffa-a752-43e9-97be-25bc5b5298b1
OriginalUri http://download.visualcomponents.net/elib/.legacy/2014/eCat/EquipmentLibrary/1%20Simulation%20Models/Components/By%20Manufacturer/Visual%20Components/ProductsAndContainers/collar_pallet.vcm
Revision 17
Location 1 4.00011984109e-068 0 0 -4.00011984109e-068 1 0 0 0 -0 1 0 -1850 -3.86251464108e-069 -4.54747350886e-013 1 
ActiveSimulationLevel detailed
BOMname  "CollarPallet #2"

BOMdescription  ""

Category  "Products and Containers"

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "PalletWidth"
    Value 800
    Group 65536
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance" "VectorQuantity"
    {
      Groups
      {
        UnitGroup "Position"
        {
          Unit
          {
            Name "Position"
            Suffix ".Y"
            Factor 1
            Offset 0
          }
          Unit
          {
            Name "Position"
            Suffix ".X"
            Factor 1
            Offset 0
          }
          Unit
          {
            Name "Position"
            Suffix ".Angle"
            Factor 1
            Offset 0
          }
          Family "Position"
        }
        UnitGroup "new"
        {
          Unit
          {
            Name "Meter"
            Suffix "m"
            Factor 1000
            Offset 0
          }
          Family "Metric degrees"
          Family "new"
        }
        UnitGroup "test"
        {
          Unit
          {
            Name "Pieces/minutes"
            Suffix "pcs/min"
            Factor 0.016666666
            Offset 0
          }
          Unit
          {
            Name "Total"
            Suffix "pcs"
            Factor 1
            Offset 0
          }
          Family "Test"
        }
        UnitGroup "Mixed Distance"
        {
          Unit
          {
            Name "Pieces/minutes"
            Suffix "pcs/min"
            Factor 0.016666666
            Offset 0
          }
          Unit
          {
            Name "Total"
            Suffix "pcs"
            Factor 1
            Offset 0
          }
        }
        UnitGroup "Mixed distance"
        {
          Unit
          {
            Name "Pieces/minutes"
            Suffix "pcs/min"
            Factor 0.016666666
            Offset 0
          }
          Unit
          {
            Name "Total"
            Suffix "pcs"
            Factor 1
            Offset 0
          }
        }
        UnitGroup "Distance (Mixed)"
        {
          Unit
          {
            Name "Millimeters"
            Suffix "mm"
            Factor 1
            Offset 0
          }
          Unit
          {
            Name "Centimeters"
            Suffix "cm"
            Factor 10
            Offset 0
          }
          Unit
          {
            Name "Meters"
            Suffix "m"
            Factor 1000
            Offset 0
          }
          Unit
          {
            Name "Inches"
            Suffix "in"
            Factor 25.4
            Offset 0
          }
          Family "new"
        }
      }
    }
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "PalletLength"
    Value 1200
    Group 65537
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "PalletHeight"
    Value 125
    Group 65538
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rInt>"
  {
    Name "TopBoards"
    Value 5
    Group 65539
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "CollarHeight"
    Value 200
    Group 131073
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
  }
  Variable "rTVariable<rInt>"
  {
    Name "Collars"
    Value 1
    Group 131074
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
  }
}
Node "rSimResource"
{
Name "Box #2"
Id 4
NodeClass 
{
Id 4
Feature "rTransformFeature"
{
Name "TGeo_3"

Visible 1
Transform 
{
  Expression "Tx(-0.5*BoxLength).Ty(-0.5*BoxWidth)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_3"

Visible 1
Length 
{
  Expression "BoxLength"
}

Width 
{
  Expression "BoxWidth"
}

Height 
{
  Expression "WallThickness"
}

}
}
Feature "rLinearCloneFeature"
{
Name "LinearClone_2"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "BoxWidth-WallThickness"
}

DirectionExpression 
{
  Expression "Vector(0,1,0)"
}

Feature "rTransformFeature"
{
Name "TGeo_2"

Visible 1
Transform 
{
  Expression "Tx(-0.5*BoxLength).Ty(-0.5*BoxWidth)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block_2"

Visible 1
Length 
{
  Expression "BoxLength"
}

Width 
{
  Expression "WallThickness"
}

Height 
{
  Expression "BoxHeight"
}

}
}
}
Feature "rLinearCloneFeature"
{
Name "LinearClone"

Visible 1
CountExpression 
{
  Expression "2"
}

StepExpression 
{
  Expression "BoxLength-WallThickness"
}

DirectionExpression 
{
  Expression "Vector(1,0,0)"
}

Feature "rTransformFeature"
{
Name "TGeo"

Visible 1
Transform 
{
  Expression "Tx(-0.5*BoxLength).Ty(-0.5*BoxWidth)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "WallThickness"
}

Width 
{
  Expression "BoxWidth"
}

Height 
{
  Expression "BoxHeight"
}

}
}
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "blue_grey"
{
  Ambient
  {
    Red 0.127499997615814
    Green 0.117499999701977
    Blue 0.165000006556511
  }
  Diffuse
  {
    Red 0.509999990463257
    Green 0.469999998807907
    Blue 0.660000026226044
  }
  Specular
  {
    Color
    {
      Red 0.35699999332428
      Green 0.328999996185303
      Blue 0.462000012397766
    }
    Shininess 0.400000005960464
  }
}

}
VCID "c5014835-b079-45a9-86b0-0465727d896c"
}
Functionality "rSimContainer"
{
Id 1
Name "ComponentContainer"
Flags 2
ContainerFlags 1
Capacity 999999
CapacityBlocks 
{
}
Connection "Input"
{
Id 0
Type 1
Name  "Input"

}
Connection "Output"
{
Id 1
Type 2
Name  "Output"

}
}
VCID c5014835-b079-45a9-86b0-0465727d896c
OriginalUri http://download.visualcomponents.net/elib/.legacy/2014/eCat/EquipmentLibrary/1%20Simulation%20Models/Components/By%20Manufacturer/Visual%20Components/ProductsAndContainers/Box.vcm
Revision 6
Location 1 -4.85322e-024 -2.1545e-044 0 4.85322e-024 1 1.76531e-046 0 2.1545e-044 -1.76531e-046 1 0 -300 -180 125 1 
ActiveSimulationLevel detailed
BOMname  "Box #2"

BOMdescription  "Simple parametric box"

Category  "Products and Containers"

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "WallThickness"
    Value 10
    Group 65539
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BoxHeight"
    Value 180
    Group 65538
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BoxWidth"
    Value 300
    Group 65537
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "BoxLength"
    Value 400
    Group 65536
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
}
Node "rSimResource"
{
Name "Can #2"
Id 5
NodeClass 
{
Id 5
Feature "rTransformFeature"
{
Name "Transform_2"

Visible 1
Transform 
{
  Expression "Tz(CanHeight-(CanDiameter/2)*.1)"
}

Feature "rRevolveFeature"
{
Name "Revolve"

Visible 1
Sections 
{
  Expression "20"
}

RevolveAngle 
{
  Expression "360 {deg}"
}

RevolveAxis 
{
  Expression "Vector(0, 0, 1)"
}

RevolveOffset 
{
  Expression "0 {mm}"
}

Caps 1
Reverse 0
Feature "rTransformFeature"
{
Name "Transform_3"

Visible 1
Transform 
{
  Expression "Ty(-CanDiameter*.5+(CanDiameter/2)*.1)"
}

Feature "rPrimitiveBoxFeature"
{
Name "Block"

Visible 1
Length 
{
  Expression "0"
}

Width 
{
  Expression "(CanDiameter/2)*.05"
}

Height 
{
  Expression "(CanDiameter/2)*.1"
}

}
}
}
Feature "rPrimitiveConeFeature"
{
Name "Cone_2"

Matrix -1 0 -1.22460635382e-016 0 0 1 0 0 1.22460635382e-016 0 -1 0 2.40085729075e-014 0 -2.28844720951e-014 1 
Visible 1
Material  "steel"
{
  Ambient
  {
    Red 0.0799999982118607
    Green 0.0799999982118607
    Blue 0.0799999982118607
  }
  Diffuse
  {
    Red 0.349999994039536
    Green 0.349999994039536
    Blue 0.349999994039536
  }
  Specular
  {
    Color
    {
      Red 0.600000023841858
      Green 0.600000023841858
      Blue 0.600000023841858
    }
    Shininess 0.5
  }
}

BottomRadius 
{
  Expression "(CanDiameter/2)*.9"
}

TopRadius 
{
  Expression "CanDiameter/2"
}

Height 
{
  Expression "(CanDiameter/2)*.1"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "20"
}

Caps 1
}
}
Feature "rTransformFeature"
{
Name "Label"

Visible 1
Transform 
{
  Expression "Tz(CanHeight*.25)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder_2"

Visible 1
Radius 
{
  Expression "(CanDiameter/2)*1.01"
}

Height 
{
  Expression ".5*CanHeight"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "270"
}

Sections 
{
  Expression "15"
}

Caps 0
}
}
Feature "rTransformFeature"
{
Name "Transform"

Visible 1
Transform 
{
  Expression "Tz((CanDiameter/2)*.1)"
}

Feature "rPrimitiveCylinderFeature"
{
Name "Cylinder"

Visible 1
Material  "steel"

Radius 
{
  Expression "CanDiameter/2"
}

Height 
{
  Expression "CanHeight - ((CanDiameter/2)*.1*3)"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "20"
}

Caps 0
}
}
Feature "rPrimitiveConeFeature"
{
Name "Cone"

Visible 1
Material  "steel"

BottomRadius 
{
  Expression "(CanDiameter/2)*.9"
}

TopRadius 
{
  Expression "CanDiameter/2"
}

Height 
{
  Expression "(CanDiameter/2)*.1"
}

StartSweep 
{
  Expression "0 {deg}"
}

EndSweep 
{
  Expression "360 {deg}"
}

Sections 
{
  Expression "20"
}

Caps 1
}
SimAttribute "rSimApplyMaterialAttribute"
{
Material  "concrete1"
{
  Ambient
  {
    Red 0.0784313753247261
    Green 0.0784313753247261
    Blue 0.0784313753247261
  }
  Diffuse
  {
    Red 0.180392161011696
    Green 0.223529413342476
    Blue 0.39215686917305
  }
  Specular
  {
    Color
    {
      Red 0.7843137383461
      Green 0.7843137383461
      Blue 0.7843137383461
    }
    Shininess 0.256103515625
  }
  Texture
  {
    Uri "2.texture.bmp"
  }
}

}
VCID "aedfc804-ed88-4f4f-8e92-c4e8b2980457"
}
VCID aedfc804-ed88-4f4f-8e92-c4e8b2980457
OriginalUri http://download.visualcomponents.net/elib/.legacy/2014/eCat/EquipmentLibrary/1%20Simulation%20Models/Components/By%20Manufacturer/Visual%20Components/ProductsAndContainers/Can.vcm
Revision 5
Location 1 7.36578e-023 2.1545e-044 0 -7.36578e-023 1 -1.76531e-046 0 -2.1545e-044 1.76531e-046 1 0 -135 -90 10 1 
ActiveSimulationLevel detailed
BOMname  "Can #2"

BOMdescription  "Parametric can"

Category  "Products and Containers"

VariableSpace ""
{
  Variable "rTVariable<rBool>"
  {
    Name "Visible"
    Value 1
    Group -1130
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      MANAGED
    }
  }
  Variable "rTVariable<rDouble>"
  {
    Name "CanHeight"
    Value 140
    Group 131072
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
  Variable "rTVariable<rDouble>"
  {
    Name "CanDiameter"
    Value 70
    Group 131073
    Settings
    {
      VISIBLE
      EDITABLE_DISCONNECTED
      EDITABLE_CONNECTED
      EDITABLE_SIMULATING
      ON_EDIT_REBUILD
    }
    Quantity "Distance"
    Magnitude 1
  }
}
}
}
}
}
}
